Bug 995328 - Firefox Slows down when clicking RSS Feed
Firefox Slows down when clicking RSS Feed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 01:41 EDT by Tristan Santore
Modified: 2014-02-05 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:15:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Btter strace, start firefox, attach strace -p, Click RSS feed shortly after (2.05 MB, text/plain)
2013-08-09 02:21 EDT, Tristan Santore
no flags Details

  None (edit)
Description Tristan Santore 2013-08-09 01:41:04 EDT
Description of problem:
When clicking the RSS Feed for the BBC or any other RSS Feed on the Firefox Tab window (?), CPU goes up to 110% and freezes the window, and firefox becomes totally unresponsive.

Version-Release number of selected component (if applicable):
firefox-22.0-1.fc18.x86_64


How reproducible:
Open firefox, click any RSS feed in the bookmarks tab.

Steps to Reproduce:
1.Click RSS feed button, list shows
2. Immediately CPU spikes and makes firefox unusable 
3. killall firefox
4. Rinse and repeat

Actual results:
Firefox becomes totally unresponsive

Expected results:
Firefox should show Feeds without slowing gobbling up CPU

Additional info:

If there is a way for me to get more debugging info, please let me know I will provide more info.
Comment 1 Tristan Santore 2013-08-09 02:11:18 EDT
I did a strace to see what was going on, got this, not very helpful. had to wait a few minutes to get the madvise....:

recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
madvise(0x7f1d136ee000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d136dd000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d136ce000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d136c6000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13684000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13660000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13653000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1362c000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1362a000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13624000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13619000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13610000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d135fa000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d135f8000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d135ea000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d135d6000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d135bb000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d135b3000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d135a3000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13591000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1357f000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13576000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13570000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1355f000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13556000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13541000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1353f000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13534000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1352e000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13529000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13511000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1350d000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133ef000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133ec000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133de000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133d4000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133ca000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133c8000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133c6000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133b3000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d133a9000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13373000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1336e000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13342000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1333f000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1333b000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13335000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13332000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13302000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d132fb000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d132ee000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d132dc000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d132c9000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d132c7000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d132a4000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1329d000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13296000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13277000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13240000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13207000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13205000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d131eb000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d131c7000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d131b5000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1319e000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13187000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13182000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13176000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13156000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1312f000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d13121000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d1310c000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12ff9000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12ff2000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12fec000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12fd9000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12fd7000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12fc3000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12fc1000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12fa0000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f9c000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f91000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f8a000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f84000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f80000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f7d000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f79000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f6c000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f48000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f32000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f24000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f1d000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f16000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f10000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12f0e000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12eff000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12eba000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12ea4000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e92000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e83000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e7a000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e77000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e5e000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e54000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e38000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e27000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e16000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12e02000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12dd4000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12dd2000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12dcd000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12dc2000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12dc0000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d12db8000, 4096, MADV_DONTNEED) = 0
madvise(0x7f1d0aaa2000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0aa88000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0aa34000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0a9ed000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0a934000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0a66d000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0a3b4000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0a37d000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0a2f6000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0a1dd000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09fed000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09f72000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09f55000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09eea000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09ea3000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09e25000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09e10000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09de7000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09b9d000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09b7f000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09b67000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09ab6000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0974f000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09737000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d094d8000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0946e000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09277000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d09132000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d090ed000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08ee5000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08ec0000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08e89000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08e4b000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08e1a000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08e07000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08d2f000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08cc8000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08c9b000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08c62000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08c2d000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08a4c000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08a10000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d089a7000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d0891c000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d088a5000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08890000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08666000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08621000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08591000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d084c6000, 32768, MADV_DONTNEED) = 0
madvise(0x7f1d08386000, 32768, MADV_DONTNEED) = 0
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN}], 6, 0) = 0 (Timeout)
recvfrom(4, 0x7f1d58f20074, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=9, events=POLLIN|POLLPRI},
Comment 2 Tristan Santore 2013-08-09 02:21:27 EDT
Created attachment 784723 [details]
Btter strace, start firefox, attach strace -p, Click RSS feed shortly after

Started firefox, attached strace, then clicked rss feed, waited for cpu load to go up, then immediately detached strace.
Comment 3 Tristan Santore 2013-08-09 02:35:28 EDT
Ok I tried firefoxes safe-mode, same thing happens. I have also downgraded xulrunner and firefox also to no avail.

  Verifying  : firefox-22.0-1.fc18.x86_64                                   4/4 

Removed:
  firefox.x86_64 0:22.0-1.fc18          xulrunner.x86_64 0:22.0-4.fc18         

Installed:
  firefox.x86_64 0:17.0.1-1.fc18        xulrunner.x86_64 0:17.0.1-1.fc18       

Complete!
Comment 4 Jan Horak 2013-08-13 04:12:07 EDT
Thanks for the bug report. Since I can't reproduce it I'd like to clarify reproduction steps. By clicking on RSS feed button you mean clicking on Live bookmark or adding new RSS by clicking on RSS feed on page? You mentioned that you've tried safe mode. Did you also tried fresh profile? Downgraded Firefox also didn't help, right? Do you use any proxy? 

If you'd like to investigate further please follow these steps to debug application freeze:
http://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products#Application_freeze
Comment 5 Fedora End Of Life 2013-12-21 09:27:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:15:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.